Bug 561455 - Review Request: yecht - A YAML processor based on Syck
Summary: Review Request: yecht - A YAML processor based on Syck
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 561484
TreeView+ depends on / blocked
 
Reported: 2010-02-03 17:17 UTC by Mo Morsi
Modified: 2010-05-12 18:02 UTC (History)
3 users (show)

Fixed In Version: yecht-0.0.2-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-12 17:59:19 UTC
akurtako: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Patch for adding javadoc (362 bytes, patch)
2010-05-05 09:39 UTC, Alexander Kurtakov
no flags Details | Diff
The correct patch (750 bytes, patch)
2010-05-05 19:09 UTC, Alexander Kurtakov
no flags Details | Diff

Description Mo Morsi 2010-02-03 17:17:48 UTC
Spec URL: http://mo.morsi.org/files/jruby/yecht.spec
SRPM URL: http://mo.morsi.org/files/jruby/yecht-0.0.2-1.fc12.src.rpm
Description: 
Yecht is a Syck port, a YAML 1.0 processor for Ruby.

Required by JRuby.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1959853

$ rpmlint rpmbuild/RPMS/i386/yecht-0.0.2-1.fc12.i386.rpm 
yecht.i386: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignoring error as no documentation is provided in the source.

$ rpmlint rpmbuild/SRPMS/yecht-0.0.2-1.fc12.src.rpm 
yecht.src:81: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignoring this last warning as when package is noarch (eg if using java-openjdk) the libdir file will not be included, and when the package is architecture specific (eg when using gcj) it will be. See spec file for conditionals.

Comment 1 Alexander Kurtakov 2010-04-26 19:04:53 UTC
I'm taking this one.
Please drop gcj_support. It is really giving no benefits but drags gcj in.
There should be a javadoc subpackage.

Comment 2 Mo Morsi 2010-04-27 21:29:55 UTC
Updated, gcj removed, no javadocs provided by upstream so no subpackage is necessary 

New spec / srpm:
Spec URL: http://mo.morsi.org/files/jruby/yecht.spec
SRPM URL: http://mo.morsi.org/files/jruby/yecht-0.0.2-2.fc11.src.rpm

Comment 3 Alexander Kurtakov 2010-05-05 09:22:09 UTC
I would really like to see a javadoc subpackage. Build.xml patch will follow shortly.

Comment 4 Alexander Kurtakov 2010-05-05 09:39:42 UTC
Created attachment 411528 [details]
Patch for adding javadoc

Comment 5 Alexander Kurtakov 2010-05-05 09:40:39 UTC
Attached patch adds javadocs target.
Please make sure that you send such patches upstream.

Comment 6 Mo Morsi 2010-05-05 18:43:01 UTC
I believe you uploaded the yydebug/javadocs patch here as well by mistake.

Comment 7 Alexander Kurtakov 2010-05-05 19:09:00 UTC
Created attachment 411711 [details]
The correct patch

Comment 8 Alexander Kurtakov 2010-05-05 19:09:34 UTC
Oops sorry. The right one is attached now.

Comment 10 Alexander Kurtakov 2010-05-06 14:39:31 UTC
Review:

OK: rpmlint must be run on every package. OUTPUT:

yecht.noarch: W: no-documentation
yecht-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese

Not a problem. I really haven't found anything suitable for documentation and javadocs is a common word for developers.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 

NOTOK: The sources used to build the package must match the upstream source, as provided in the spec URL. SOURCES are different.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Javadocs subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 


Please fix the sources

Comment 11 Mo Morsi 2010-05-06 17:06:10 UTC
Sync'd srpm source w/ upstream (md5sums now match). New spec/srpm:

Spec URL: http://mo.morsi.org/files/jruby/yecht.spec
SRPM URL: http://mo.morsi.org/files/jruby/yecht-0.0.2-4.fc11.src.rpm

Comment 12 Alexander Kurtakov 2010-05-10 09:03:37 UTC
(In reply to comment #11)
> Sync'd srpm source w/ upstream (md5sums now match). New spec/srpm:
> 
> Spec URL: http://mo.morsi.org/files/jruby/yecht.spec
> SRPM URL: http://mo.morsi.org/files/jruby/yecht-0.0.2-4.fc11.src.rpm    

Thanks,
This package is APPROVED.

Comment 13 Mo Morsi 2010-05-10 20:31:49 UTC
New Package CVS Request
=======================
Package Name: yecht
Short Description: A YAML processor based on Syck
Owners: mmorsi
Branches: F-12 F-13
InitialCC:

Comment 14 Kevin Fenzi 2010-05-11 04:39:11 UTC
CVS done (by process-cvs-requests.py).

Comment 15 Fedora Update System 2010-05-12 00:59:28 UTC
yecht-0.0.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yecht-0.0.2-4.fc13

Comment 16 Fedora Update System 2010-05-12 00:59:45 UTC
yecht-0.0.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yecht-0.0.2-4.fc12

Comment 17 Fedora Update System 2010-05-12 17:59:14 UTC
yecht-0.0.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-05-12 18:02:49 UTC
yecht-0.0.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.